<template>
    <div></div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component({
    components: {}
})
export default class Api extends Vue {
  created(){
      const result = this.testReturn();
      console.log(result.doSomeThing())
  }

  testReturn(): void {
      // do somthing
      this.printString();
  }

  printString(): void {
      console.log('HEHE')
  }
}
</script>